<?php
/**
 * Shortcode Map For Team Member Slider
 *
 * @package Pofo
 */
?>
<?php 
/*-----------------------------------------------------------------------------------*/
/* Team Member Slider */
/*-----------------------------------------------------------------------------------*/

  $team_member_slider_class = 'pofo_team_member_slider_'.time() . '-2-' . rand( 0, 100 );
  vc_map( 
    array(
        'name' => esc_html__( 'Team Member Slider' , 'pofo-addons' ), //Name of your shortcode for human reading inside element list
        'base' => 'pofo_team_member_slider', //Shortcode tag. For [my_shortcode] shortcode base is my_shortcode
        'description' => esc_html__( 'Create a team member slider', 'pofo-addons' ), //Short description of your element, it will be visible in 'Add element' window
        'icon' => 'fas fa-users pofo-shortcode-icon', //URL or CSS class with icon image.
        'category' => 'Pofo',
        'params' => array( //List of shortcode attributes. Array which holds your shortcode params, these params will be editable in shortcode settings page
            array(
              'type' => 'dropdown',
              'heading' => esc_html__( 'Style', 'pofo-addons'),
              'param_name' => 'pofo_team_member_slider_style',
              'value' => array( esc_html__( 'Select style', 'pofo-addons') => '',
                                esc_html__( 'Team carousel style 1', 'pofo-addons') => 'team-style-1',
                                esc_html__( 'Team carousel style 2', 'pofo-addons') => 'team-style-2',
                              ),
            ),
            array(
              'type' => 'pofo_preview_image',
              'heading' => esc_html__( 'Select pre-made style for block', 'pofo-addons'),
              'param_name' => 'pofo_team_member_slider_preview_image',
              'admin_label' => true,
              'value' => array( esc_html__( 'Team carousel image', 'pofo-addons') => '',
                                esc_html__( 'Team carousel style 1', 'pofo-addons') => 'team-style-1',
                                esc_html__( 'Team carousel style 2', 'pofo-addons') => 'team-style-2',
                              ),
            ),
            array(
              'type' => 'pofo_custom_switch_option',
              'holder' => 'div',
              'class' => '',
              'heading' => esc_html__( 'Pagination', 'pofo-addons'),
              'param_name' => 'show_pagination',
              'value' => array(esc_html__( 'OFF', 'pofo-addons') => '0', 
                               esc_html__( 'ON', 'pofo-addons') => '1'
                              ),
              'std' => '1',
              'description' => esc_html__( 'Select ON to show pagination in slider', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'dropdown',
              'heading' => esc_html__( 'Pagination style', 'pofo-addons'),
              'param_name' => 'show_pagination_style',
              'admin_label' => true,
              'value' => array(esc_html__( 'Select pagination style', 'pofo-addons') => '',
                             esc_html__( 'Dot style', 'pofo-addons') => '0',
                             esc_html__( 'Line style', 'pofo-addons') => '1',
                            ),
              'dependency' => array( 'element' => 'show_pagination', 'value' => array('1') ),
            ),
            array(
              'type' => 'dropdown',
              'heading' => esc_html__( 'Pagination color style', 'pofo-addons'),
              'param_name' => 'show_pagination_color_style',
              'admin_label' => true,
              'value' => array(esc_html__( 'Select pagination color style', 'pofo-addons') => '',
                               esc_html__( 'Dark style', 'pofo-addons') => '0',
                               esc_html__( 'Light style', 'pofo-addons') => '1'
                              ),
              'dependency' => array( 'element' => 'show_pagination', 'value' => array('1') ),
            ),
            array(
              'type' => 'pofo_custom_switch_option',
              'holder' => 'div',
              'class' => '',
              'heading' => esc_html__( 'Navigation', 'pofo-addons'),
              'param_name' => 'show_navigation',
              'value' => array(esc_html__( 'Off', 'pofo-addons') => '0', 
                               esc_html__( 'On', 'pofo-addons') => '1'
                              ),
              'description' => esc_html__( 'Select ON to show navigation in slider', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'dropdown',
              'heading' => esc_html__( 'Navigation style', 'pofo-addons'),
              'param_name' => 'show_navigation_style',
              'admin_label' => true,
              'value' => array(esc_html__( 'Select navigation style', 'pofo-addons') => '',
                               esc_html__( 'Next/Prev long arrow', 'pofo-addons') => '0',
                               esc_html__( 'Next/Prev black arrow', 'pofo-addons') => '1',
                               esc_html__( 'Next/Prev white arrow', 'pofo-addons') => '2'
                              ),
              'dependency' => array( 'element' => 'show_navigation', 'value' => array('1') ),
            ),
            array(
              'type' => 'dropdown',
              'heading' => esc_html__( 'Cursor color style', 'pofo-addons'),
              'param_name' => 'show_cursor_color_style',
              'admin_label' => true,
              'value' => array(esc_html__( 'Select cursor color style', 'pofo-addons') => '',
                             esc_html__( 'White cursor', 'pofo-addons') => 'white-move',
                             esc_html__( 'Black cursor', 'pofo-addons') => 'black-move',
                             esc_html__( 'Default cursor', 'pofo-addons') => 'no-move',
                            ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'pofo_custom_switch_option',
              'heading' => esc_html__( 'Separator', 'pofo-addons'),
              'param_name' => 'pofo_enable_separator',
              'value' => array(esc_html__( 'Off', 'pofo-addons') => '0', 
                               esc_html__( 'On', 'pofo-addons') => '1'
                              ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1') ),
            ),
            array(
              'type'        => 'pofo_custom_social_sorting',
              'heading'     => esc_html__( 'Social sorting', 'pofo-addons'),
              'param_name'  => 'pofo_social_sorting',
              'value'      => array(
                                  esc_html__( 'Facebook', 'pofo-addons')      => 'facebook',
                                  esc_html__( 'Twitter', 'pofo-addons')       => 'twitter',
                                  esc_html__( 'Google+', 'pofo-addons')       => 'gplus',
                                  esc_html__( 'Dribbble', 'pofo-addons')      => 'dribbble',
                                  esc_html__( 'LinkedIn', 'pofo-addons')      => 'linkedin',
                                  esc_html__( 'Instagram', 'pofo-addons')     => 'instagram',
                                  esc_html__( 'Tumblr', 'pofo-addons')        => 'tumblr',
                                  esc_html__( 'Pinterest', 'pofo-addons')     => 'pinterest',
                                  esc_html__( 'Youtube', 'pofo-addons')       => 'youtube',
                                  esc_html__( 'Vimeo', 'pofo-addons')         => 'vimeo',
                                  esc_html__( 'Soundcloud', 'pofo-addons')    => 'soundcloud',
                                  esc_html__( 'Flickr', 'pofo-addons')        => 'flickr',
                                  esc_html__( 'RSS', 'pofo-addons')           => 'rss',
                                  esc_html__( 'Reddit', 'pofo-addons')        => 'reddit',
                                  esc_html__( 'Behance', 'pofo-addons')       => 'behance',
                                  esc_html__( 'Vine', 'pofo-addons')          => 'vine',
                                  esc_html__( 'GitHub', 'pofo-addons')        => 'github',
                                  esc_html__( 'Xing', 'pofo-addons')          => 'xing',
                                  esc_html__( 'VK', 'pofo-addons')            => 'vk',
                                  esc_html__( 'Yelp', 'pofo-addons')          => 'yelp',
                                  esc_html__( 'Discord', 'pofo-addons')       => 'discord',
                                  esc_html__( 'Email address', 'pofo-addons') => 'email',
                              ),
              'std' => '',
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1') ),
              'group'       => esc_html__( 'Slides', 'pofo-addons'),
            ),
            array(
              'param_name' => 'pofo_team_member_slides', // all params must have a unique name
              'type' => 'param_group', // this param type
              'heading' => esc_html__( 'Slide', 'pofo-addons' ),
              'value' => '',
              'params' => array(
                  array(
                      'type' => 'attach_image',
                      'heading' => esc_html__( 'Image', 'pofo-addons' ),
                      'param_name' => 'pofo_image',
                  ),
                  array(
                      'type' => 'dropdown',
                      'heading' => esc_html__( 'Image thumbnail size', 'pofo-addons' ),
                      'param_name' => 'pofo_image_srcset',
                      'value' => pofo_get_thumbnail_image_sizes(),
                      'std' => 'full',
                      'edit_field_class' => 'vc_col-sm-4',
                  ),
                  array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Name', 'pofo-addons'),
                    'param_name' => 'pofo_member_name',
                    'admin_label' => true,
                    'edit_field_class' => 'vc_col-sm-4',
                    'description' => esc_html__( 'Use || to break the word in new line.', 'pofo-addons'),
                  ),
                  array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Designation', 'pofo-addons'),
                    'param_name' => 'pofo_member_des',
                    'admin_label' => true,
                    'edit_field_class' => 'vc_col-sm-4',
                  ),
                  array(
                    'type' => 'textarea',
                    'heading' => esc_html__( 'Content', 'pofo-addons'),
                    'param_name' => 'pofo_content',
                  ),
                  array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Name link target', 'pofo-addons'),
                    'param_name' => 'pofo_link_target',
                    'value' => array(esc_html__('Self', 'pofo-addons') => '_self', 
                                       esc_html__('New tab / window', 'pofo-addons') => '_blank'
                                      ),
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type' => 'textfield',
                    'heading' =>esc_html__( 'Name link / URL', 'pofo-addons'),
                    'param_name' => 'pofo_link_url',
                    'admin_label' => true,
                    'edit_field_class' => 'vc_col-sm-6',
                    'description' => esc_html__( 'Enter full URL with http, like http://www.example.com', 'pofo-addons' ),
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__( 'Facebook URL', 'pofo-addons' ),
                    'param_name'  => 'pofo_facebook_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__( 'Twitter URL', 'pofo-addons' ),
                    'param_name'  => 'pofo_twitter_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__( 'Google+ URL', 'pofo-addons' ),
                    'param_name'  => 'pofo_gplus_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('Dribbble URL', 'pofo-addons'),
                    'param_name'  => 'pofo_db_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__( 'LinkedIn URL', 'pofo-addons' ),
                    'param_name'  => 'pofo_linkedin_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__( 'Instagram URL', 'pofo-addons' ),
                    'param_name'  => 'pofo_instagram_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('Tumblr URL', 'pofo-addons'),
                    'param_name'  => 'pofo_tb_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__( 'Pinterest URL', 'pofo-addons' ),
                    'param_name'  => 'pofo_pinterest_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('Youtube URL', 'pofo-addons'),
                    'param_name'  => 'pofo_yt_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('Vimeo URL', 'pofo-addons'),
                    'param_name'  => 'pofo_vm_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('Soundcloud URL', 'pofo-addons'),
                    'param_name'  => 'pofo_sc_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('Flickr URL', 'pofo-addons'),
                    'param_name'  => 'pofo_fk_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('RSS URL', 'pofo-addons'),
                    'param_name'  => 'pofo_rss_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('Reddit URL', 'pofo-addons'),
                    'param_name'  => 'pofo_rd_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__( 'Behance URL', 'pofo-addons' ),
                    'param_name'  => 'pofo_behance_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('Vine URL', 'pofo-addons'),
                    'param_name'  => 'pofo_vine_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('GitHub URL', 'pofo-addons'),
                    'param_name'  => 'pofo_gh_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('Xing URL', 'pofo-addons'),
                    'param_name'  => 'pofo_xing_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('VK URL', 'pofo-addons'),
                    'param_name'  => 'pofo_vk_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('Yelp URL', 'pofo-addons'),
                    'param_name'  => 'pofo_yelp_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('Discord URL', 'pofo-addons'),
                    'param_name'  => 'pofo_discord_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('Email address', 'pofo-addons'),
                    'param_name'  => 'pofo_email_url',
                    'edit_field_class' => 'vc_col-sm-6',
                  ),
                  array(
                    'type'        => 'textarea_raw_html',
                    'heading'     => esc_html__( 'Custom icons code', 'pofo-addons' ),
                    'param_name'  => 'pofo_custom_link',
                  ),
              ),
              'callbacks' => array(
                  'after_add' => 'vcChartParamAfterAddCallback',
              ),
              'group' => esc_html__( 'Slides', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'textfield',
              'heading' => esc_html__( 'Transition speed', 'pofo-addons'),
              'param_name' => 'slidespeed',
              'admin_label' => true,
              'value' => '',
              'description' => esc_html__( 'Enter slide speed time like 500, where 1000 = 1 second', 'pofo-addons'),
              'group' => esc_html__( 'Slider Configuration', 'pofo-addons'),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'pofo_custom_switch_option',
              'holder' => 'div',
              'class' => '',
              'heading' => esc_html__( 'Auto play', 'pofo-addons'),
              'param_name' => 'autoplay',
              'value' => array(esc_html__( 'Off', 'pofo-addons') => '0', 
                               esc_html__( 'On', 'pofo-addons') => '1'
                              ),
              'description' => esc_html__( 'Select On to autoplay slider', 'pofo-addons' ),
              'group' => esc_html__( 'Slider Configuration', 'pofo-addons'),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'textfield',
              'heading' => esc_html__( 'Delay time', 'pofo-addons'),
              'param_name' => 'slidedelay',
              'admin_label' => true,
              'value' => '',
              'description' => esc_html__( 'Enter delay time (before switching to other slide) like 500, where 1000 = 1 second', 'pofo-addons'),
              'dependency'  => array( 'element' => 'autoplay', 'value' => array('1') ),
              'group' => esc_html__( 'Slider Configuration', 'pofo-addons'),
            ),
            array(
              'type' => 'pofo_custom_switch_option',
              'holder' => 'div',
              'class' => '',
              'heading' => esc_html__( 'Loop', 'pofo-addons'),
              'param_name' => 'autoloop',
              'value' => array(esc_html__( 'Off', 'pofo-addons') => '0', 
                               esc_html__( 'On', 'pofo-addons') => '1'
                              ),
              'description' => esc_html__( 'Select On to autoloop slider', 'pofo-addons' ),
              'group' => esc_html__( 'Slider Configuration', 'pofo-addons'),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'dropdown',
              'heading' => esc_html__( 'Slides per view in desktop', 'pofo-addons'),
              'param_name' => 'slides_per_view_desktop',
              'admin_label' => true,
              'value' => array(esc_html__( 'Select slide per view', 'pofo-addons') => '',
                             esc_html__( '1', 'pofo-addons') => '1',
                             esc_html__( '2', 'pofo-addons') => '2',
                             esc_html__( '3', 'pofo-addons') => '3',
                             esc_html__( '4', 'pofo-addons') => '4',
                             esc_html__( '5', 'pofo-addons') => '5',
                             esc_html__( '6', 'pofo-addons') => '6',
                            ),
              'std' => '4',
              'group' => esc_html__( 'Slider Configuration', 'pofo-addons'),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'dropdown',
              'heading' => esc_html__( 'Slides per view in mini desktop', 'pofo-addons'),
              'param_name' => 'slides_per_view_mini_desktop',
              'admin_label' => true,
              'value' => array(esc_html__( 'Select slide per view', 'pofo-addons') => '',
                             esc_html__( '1', 'pofo-addons') => '1',
                             esc_html__( '2', 'pofo-addons') => '2',
                             esc_html__( '3', 'pofo-addons') => '3',
                             esc_html__( '4', 'pofo-addons') => '4',
                             esc_html__( '5', 'pofo-addons') => '5',
                             esc_html__( '6', 'pofo-addons') => '6',
                            ),
              'std' => '3',
              'group' => esc_html__( 'Slider Configuration', 'pofo-addons'),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'dropdown',
              'heading' => esc_html__( 'Slides per view in tablet', 'pofo-addons'),
              'param_name' => 'slides_per_view_tablet',
              'admin_label' => true,
              'value' => array(esc_html__( 'Select slide per view', 'pofo-addons') => '',
                             esc_html__( '1', 'pofo-addons') => '1',
                             esc_html__( '2', 'pofo-addons') => '2',
                             esc_html__( '3', 'pofo-addons') => '3',
                             esc_html__( '4', 'pofo-addons') => '4',
                             esc_html__( '5', 'pofo-addons') => '5',
                             esc_html__( '6', 'pofo-addons') => '6',
                            ),
              'std' => '2',
              'group' => esc_html__( 'Slider Configuration', 'pofo-addons'),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'dropdown',
              'heading' => esc_html__( 'Slides per view in mobile', 'pofo-addons'),
              'param_name' => 'slides_per_view_mobile',
              'admin_label' => true,
              'value' => array(esc_html__( 'Select slide per view', 'pofo-addons') => '',
                             esc_html__( '1', 'pofo-addons') => '1',
                             esc_html__( '2', 'pofo-addons') => '2',
                             esc_html__( '3', 'pofo-addons') => '3',
                             esc_html__( '4', 'pofo-addons') => '4',
                             esc_html__( '5', 'pofo-addons') => '5',
                             esc_html__( '6', 'pofo-addons') => '6',
                            ),
              'std' => '1',
              'group' => esc_html__( 'Slider Configuration', 'pofo-addons'),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'colorpicker',
              'class' => '',
              'heading' => esc_html__( 'Box background color', 'pofo-addons' ),
              'param_name' => 'pofo_box_bg_color',
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-2') ),
              'group' => esc_html__( 'Style', 'pofo-addons' ),
            ),
            array(
              'type' => 'colorpicker',
              'class' => '',
              'heading' => esc_html__( 'Box hover background color and opacity', 'pofo-addons' ),
              'param_name' => 'pofo_box_hover_bg_color',
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1') ),
              'group' => esc_html__( 'Style', 'pofo-addons' ),
            ),
            array(
              'type' => 'colorpicker',
              'class' => '',
              'heading' => esc_html__( 'Name link hover color', 'pofo-addons' ),
              'param_name' => 'pofo_link_hover_color',
              'group' => esc_html__( 'Style', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'dropdown',
              'heading' => esc_html__( 'Icon size', 'pofo-addons'),
              'param_name' => 'pofo_icon_size',
              'admin_label' => true,
              'value' => array(esc_html__( 'Default', 'pofo-addons') => '',
                               esc_html__( 'Extra large', 'pofo-addons') => 'icon-extra-large', 
                               esc_html__( 'Large', 'pofo-addons') => 'icon-large',
                               esc_html__( 'Extra medium', 'pofo-addons') => 'icon-extra-medium',
                               esc_html__( 'Medium', 'pofo-addons') => 'icon-medium',
                               esc_html__( 'Small', 'pofo-addons') => 'icon-small',
                               esc_html__( 'Extra small', 'pofo-addons') => 'icon-extra-small',
                              ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1') ),
              'group' => esc_html__( 'Style', 'pofo-addons' ),
            ),
            array(
              'type' => 'colorpicker',
              'class' => '',
              'heading' => esc_html__( 'Icon color', 'pofo-addons' ),
              'param_name' => 'pofo_icon_color',
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1') ),
              'group' => esc_html__( 'Style', 'pofo-addons' ),
            ),
            array(
              'type' => 'textfield',
              'heading' => esc_html__( 'Separator thickness', 'pofo-addons' ),
              'param_name' => 'pofo_separator_height',
              'value'     => '2px',
              'description' => esc_html__( 'In pixel like 1px.', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_enable_separator', 'value' => array('1') ),
              'group' => esc_html__( 'Style', 'pofo-addons' ),
            ),
            array(
              'type' => 'colorpicker',
              'class' => '',
              'heading' => esc_html__( 'Separator color', 'pofo-addons' ),
              'param_name' => 'pofo_separator_color',
              'dependency' => array( 'element' => 'pofo_enable_separator', 'value' => array('1') ),
              'group' => esc_html__( 'Style', 'pofo-addons' ),
            ),
            array(
              'type' => 'dropdown',
              'param_name' => 'desktop_alignment',
              'heading' => esc_html__( 'Horizontal alignment in desktop', 'pofo-addons' ),
              'value' => array(esc_html__( 'No align', 'pofo-addons') => '',
                               esc_html__( 'Left align', 'pofo-addons') => 'text-left',
                               esc_html__( 'Right align', 'pofo-addons') => 'text-right',
                               esc_html__( 'Center align', 'pofo-addons') => 'text-center',
                              ),
              'std' => 'text-center',
              'edit_field_class' => 'vc_col-sm-6 vc_column-with-padding',
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1') ),
              'group'       => esc_html__( 'Style', 'pofo-addons'),
            ),
            array(
              'type' => 'dropdown',
              'param_name' => 'desktop_mini_alignment',
              'heading' => esc_html__( 'Horizontal alignment in mini desktop', 'pofo-addons' ),
              'value' => array(esc_html__( 'No align', 'pofo-addons') => '',
                               esc_html__( 'Left align', 'pofo-addons') => 'md-text-left',
                               esc_html__( 'Right align', 'pofo-addons') => 'md-text-right',
                               esc_html__( 'Center align', 'pofo-addons') => 'md-text-center',
                              ),
              'edit_field_class' => 'vc_col-sm-6',
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1') ),
              'group'       => esc_html__( 'Style', 'pofo-addons'),
            ),
            array(
              'type' => 'dropdown',
              'param_name' => 'ipad_alignment',
              'heading' => esc_html__( 'Horizontal alignment in tablet', 'pofo-addons' ),
              'value' => array(esc_html__( 'No align', 'pofo-addons') => '',
                               esc_html__( 'Left align', 'pofo-addons') => 'sm-text-left',
                               esc_html__( 'Right align', 'pofo-addons') => 'sm-text-right',
                               esc_html__( 'Center align', 'pofo-addons') => 'sm-text-center',
                              ),
              'edit_field_class' => 'vc_col-sm-6',
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1') ),
              'group'       => esc_html__( 'Style', 'pofo-addons'),
            ),
            array(
              'type' => 'dropdown',
              'param_name' => 'mobile_alignment',
              'heading' => esc_html__( 'Horizontal alignment in mobile', 'pofo-addons' ),
              'value' => array(esc_html__( 'No align', 'pofo-addons') => '',
                               esc_html__( 'Left align', 'pofo-addons') => 'xs-text-left',
                               esc_html__( 'Right align', 'pofo-addons') => 'xs-text-right',
                               esc_html__( 'Center align', 'pofo-addons') => 'xs-text-center',
                              ),
              'edit_field_class' => 'vc_col-sm-6',
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1') ),
              'group'       => esc_html__( 'Style', 'pofo-addons'),
            ),
            array(
              'type' => 'dropdown',
              'param_name' => 'vertical_desktop_alignment',
              'heading' => esc_html__( 'Vertical alignment in desktop', 'pofo-addons' ),
              'value' => array(esc_html__( 'No align', 'pofo-addons') => '',
                               esc_html__( 'Top align', 'pofo-addons') => 'vertical-align-top',
                               esc_html__( 'Middle align', 'pofo-addons') => 'vertical-align-middle',
                               esc_html__( 'Bottom align', 'pofo-addons') => 'vertical-align-bottom',
                              ),
              'std' => 'vertical-align-middle',
              'edit_field_class' => 'vc_col-sm-6 vc_column-with-padding',
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1') ),
              'group'       => esc_html__( 'Style', 'pofo-addons'),
            ),
            array(
              'type' => 'dropdown',
              'param_name' => 'vertical_desktop_mini_alignment',
              'heading' => esc_html__( 'Vertical alignment in mini desktop', 'pofo-addons' ),
              'value' => array(esc_html__( 'No align', 'pofo-addons') => '',
                               esc_html__( 'Top align', 'pofo-addons') => 'md-vertical-align-top',
                               esc_html__( 'Middle align', 'pofo-addons') => 'md-vertical-align-middle',
                               esc_html__( 'Bottom align', 'pofo-addons') => 'md-vertical-align-bottom',
                              ),
              'edit_field_class' => 'vc_col-sm-6',
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1') ),
              'group'       => esc_html__( 'Style', 'pofo-addons'),
            ),
            array(
              'type' => 'dropdown',
              'param_name' => 'vertical_ipad_alignment',
              'heading' => esc_html__( 'Vertical alignment in tablet', 'pofo-addons' ),
              'value' => array(esc_html__( 'No align', 'pofo-addons') => '',
                               esc_html__( 'Top align', 'pofo-addons') => 'sm-vertical-align-top',
                               esc_html__( 'Middle align', 'pofo-addons') => 'sm-vertical-align-middle',
                               esc_html__( 'Bottom align', 'pofo-addons') => 'sm-vertical-align-bottom',
                              ),
              'edit_field_class' => 'vc_col-sm-6',
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1') ),
              'group'       => esc_html__( 'Style', 'pofo-addons'),
            ),
            array(
              'type' => 'dropdown',
              'param_name' => 'vertical_mobile_alignment',
              'heading' => esc_html__( 'Vertical alignment in mobile', 'pofo-addons' ),
              'value' => array(esc_html__( 'No align', 'pofo-addons') => '',
                               esc_html__( 'Top align', 'pofo-addons') => 'xs-vertical-align-top',
                               esc_html__( 'Middle align', 'pofo-addons') => 'xs-vertical-align-middle',
                               esc_html__( 'Bottom align', 'pofo-addons') => 'xs-vertical-align-bottom',
                              ),
              'edit_field_class' => 'vc_col-sm-6',
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1') ),
              'group'       => esc_html__( 'Style', 'pofo-addons'),
            ),
            array(
              'param_name' => 'pofo_custom_member_name_heading', // all params must have a unique name
              'type' => 'pofo_custom_title', // this param type
              'value' => esc_html__( 'Member Name Typography', 'pofo-addons' ), // your custom markup
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'textfield',
              'heading' => esc_html__( 'Font size', 'pofo-addons' ),
              'param_name' => 'pofo_member_name_font_size',
              'description' => esc_html__( 'In pixel like 12px.', 'pofo-addons' ),
              'edit_field_class' => 'vc_col-sm-4 vc_column-with-padding',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'textfield',
              'heading' => esc_html__( 'Line height', 'pofo-addons' ),
              'param_name' => 'pofo_member_name_line_height',
              'description' => esc_html__( 'In pixel like 20px.', 'pofo-addons' ),
              'edit_field_class' => 'vc_col-sm-4',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'textfield',
              'heading' => esc_html__( 'Letter spacing', 'pofo-addons' ),
              'param_name' => 'pofo_member_name_letter_spacing',
              'description' => esc_html__( 'Define letter spacing like 12px', 'pofo-addons' ),
              'edit_field_class' => 'vc_col-sm-4',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'dropdown',
              'param_name' => 'pofo_member_name_font_weight',
              'heading' => esc_html__( 'Font weight', 'pofo-addons' ),
              'value' => pofo_font_weight_style(),
              'edit_field_class' => 'vc_col-sm-4',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'pofo_custom_switch_option',
              'heading' => esc_html__( 'Font italic', 'pofo-addons'),
              'param_name' => 'pofo_member_name_italic',
              'value' => array(esc_html__( 'Off', 'pofo-addons') => '0',
                               esc_html__( 'On', 'pofo-addons') => '1'
                              ),
              'edit_field_class' => 'vc_col-sm-4',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'pofo_custom_switch_option',
              'heading' => esc_html__( 'Font underline', 'pofo-addons'),
              'param_name' => 'pofo_member_name_underline',
              'value' => array(esc_html__( 'Off', 'pofo-addons') => '0',
                               esc_html__( 'On', 'pofo-addons') => '1'
                              ),
              'edit_field_class' => 'vc_col-sm-4',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'dropdown',
              'heading' => esc_html__( 'Element tag', 'pofo-addons'),
              'param_name' => 'pofo_member_name_element_tag',
              'value' => array(esc_html__( 'Element tag', 'pofo-addons') => '',
                               esc_html__( 'h1', 'pofo-addons') => 'h1',
                               esc_html__( 'h2', 'pofo-addons') => 'h2',
                               esc_html__( 'h3', 'pofo-addons') => 'h3',
                               esc_html__( 'h4', 'pofo-addons') => 'h4',
                               esc_html__( 'h5', 'pofo-addons') => 'h5',
                               esc_html__( 'h6', 'pofo-addons') => 'h6',
                              ),
              'edit_field_class' => 'vc_col-sm-4',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'colorpicker',
              'class' => '',
              'heading' => esc_html__( 'Color', 'pofo-addons' ),
              'param_name' => 'pofo_member_name_color',
              'edit_field_class' => 'vc_col-sm-4',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'pofo_custom_switch_option',
              'heading' => esc_html__( 'Auto responsive font size', 'pofo-addons'),
              'param_name' => 'pofo_member_name_enable_responsive_font',
              'value' => array(esc_html__( 'Off', 'pofo-addons') => '0',
                               esc_html__( 'On', 'pofo-addons') => '1'
                              ),
              'description' => esc_html__( 'If ON then it will display font size automatically as per device size instead of above mentioned fixed font size in all devices.', 'pofo-addons' ),
              'edit_field_class' => 'vc_col-sm-4',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'param_name' => 'pofo_custom_member_designation_heading', // all params must have a unique name
              'type' => 'pofo_custom_title', // this param type
              'value' => esc_html__( 'Member Designation Typography', 'pofo-addons' ), // your custom markup
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'textfield',
              'heading' => esc_html__( 'Font size', 'pofo-addons' ),
              'param_name' => 'pofo_member_des_font_size',
              'description' => esc_html__( 'In pixel like 12px.', 'pofo-addons' ),
              'edit_field_class' => 'vc_col-sm-4 vc_column-with-padding',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'textfield',
              'heading' => esc_html__( 'Line height', 'pofo-addons' ),
              'param_name' => 'pofo_member_des_line_height',
              'description' => esc_html__( 'In pixel like 20px.', 'pofo-addons' ),
              'edit_field_class' => 'vc_col-sm-4',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'textfield',
              'heading' => esc_html__( 'Letter spacing', 'pofo-addons' ),
              'param_name' => 'pofo_member_des_letter_spacing',
              'description' => esc_html__( 'Define letter spacing like 12px', 'pofo-addons' ),
              'edit_field_class' => 'vc_col-sm-4',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'dropdown',
              'param_name' => 'pofo_member_des_font_weight',
              'heading' => esc_html__( 'Font weight', 'pofo-addons' ),
              'value' => pofo_font_weight_style(),
              'edit_field_class' => 'vc_col-sm-4',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'pofo_custom_switch_option',
              'heading' => esc_html__( 'Font italic', 'pofo-addons'),
              'param_name' => 'pofo_member_des_italic',
              'value' => array(esc_html__( 'Off', 'pofo-addons') => '0',
                               esc_html__( 'On', 'pofo-addons') => '1'
                              ),
              'edit_field_class' => 'vc_col-sm-4',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'pofo_custom_switch_option',
              'heading' => esc_html__( 'Font underline', 'pofo-addons'),
              'param_name' => 'pofo_member_des_underline',
              'value' => array(esc_html__( 'Off', 'pofo-addons') => '0',
                               esc_html__( 'On', 'pofo-addons') => '1'
                              ),
              'edit_field_class' => 'vc_col-sm-4',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'dropdown',
              'heading' => esc_html__( 'Element tag', 'pofo-addons'),
              'param_name' => 'pofo_member_des_element_tag',
              'value' => array(esc_html__( 'Element tag', 'pofo-addons') => '',
                               esc_html__( 'h1', 'pofo-addons') => 'h1',
                               esc_html__( 'h2', 'pofo-addons') => 'h2',
                               esc_html__( 'h3', 'pofo-addons') => 'h3',
                               esc_html__( 'h4', 'pofo-addons') => 'h4',
                               esc_html__( 'h5', 'pofo-addons') => 'h5',
                               esc_html__( 'h6', 'pofo-addons') => 'h6',
                              ),
              'edit_field_class' => 'vc_col-sm-4',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'colorpicker',
              'class' => '',
              'heading' => esc_html__( 'Color', 'pofo-addons' ),
              'param_name' => 'pofo_member_des_color',
              'edit_field_class' => 'vc_col-sm-4',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
              'type' => 'pofo_custom_switch_option',
              'heading' => esc_html__( 'Auto responsive font size', 'pofo-addons'),
              'param_name' => 'pofo_member_des_enable_responsive_font',
              'value' => array(esc_html__( 'Off', 'pofo-addons') => '0',
                               esc_html__( 'On', 'pofo-addons') => '1'
                              ),
              'description' => esc_html__( 'If ON then it will display font size automatically as per device size instead of above mentioned fixed font size in all devices.', 'pofo-addons' ),
              'edit_field_class' => 'vc_col-sm-4',
              'group' => esc_html__( 'Typography', 'pofo-addons' ),
              'dependency' => array( 'element' => 'pofo_team_member_slider_style', 'value' => array('team-style-1', 'team-style-2') ),
            ),
            array(
               'type'        => 'textfield',
               'heading'     => esc_html__( 'Element ID', 'pofo-addons' ),
               'description' => sprintf( esc_html__( 'Enter element ID (Note: make sure it is unique and valid according to %s).', 'pofo-addons'), '<a target="_blank" href="https://www.w3schools.com/tags/att_global_id.asp">w3c specification</a>'),
               'param_name'  => 'pofo_slider_id',
               'group'       => esc_html__( 'Extras', 'pofo-addons' )
            ),
            array(
               'type'        => 'textfield',
               'heading'     => esc_html__( 'Extra class name', 'pofo-addons' ),
               'description' => esc_html__( 'Add additional CSS class to this element, you can define multiple CSS class with use of space like "Class1 Class2". You can write css code using this class and add it in customizer or your child theme css file.', 'pofo-addons' ),
               'param_name'  => 'pofo_slider_class',
               'group'       => esc_html__( 'Extras', 'pofo-addons' )
            ),
        ),
    )
  );